POST not working
3

Hi! I am trying to do some basic POST testing via Graph API Explorer. I get this error:

{
  "error": {
    "message": "(#200) If posting to a group, requires app being installed in the group, and \
          either publish_to_groups permission with user token, or both pages_read_engagement \
          and pages_manage_posts permission with page token; If posting to a page, \
          requires both pages_read_engagement and pages_manage_posts as an admin with \
          sufficient administrative permission",
    "type": "OAuthException",
    "code": 200,
    "fbtrace_id": "Awlh3B8AJwDJZtO-qIfRo6h"
  }
} 

Now its a page (not a group) and I have ALL the permissions I could select on the GraphAPI Explorer! I am also an admin of that page. So why the error, can anyone shed some light here pls?

I am using v7.0 of the API (the only one you can select in the explorer).

My GET requests against the same pageid works just fine though.

Many thanks!

Aashish
Asked about a year ago
Selected Answer
1

What call you refer to and have you double checked your page token does include pages_read_engagement and pages_manage_posts granted?

May 25 at 1:32 PM
Lars
Aashish

Hey! I checked the token via the token debugger and it indeed has the two scopes you mention but still the same error.

The call I am doing is (as you read it on the Graph explorer), and the {pageid} is just a template and the actual value is correct:

POST/v7.0/{pageid}/feed

So am bewildered as to what is going wrong.

Thanks

May 26 at 1:57 AM
Lars

Your app is in dev mode and the page token you use is valid for the page ID as used in your actual call/request? If that's the case this bug report might be related to this issue: https://developers.facebook.com/support/bugs/279765279722466/

August 31 at 5:00 AM
Aashish

Thanks for that, I'm sure its that bug! Its hard to screw up the page token. Tried many ways.

August 31 at 5:27 AM
1

Any help here pls?

May 30 at 3:07 AM
Aashish
1

Any update on this ticket? I'm currently encountering the same issue and also have both required elements granted too so I'm not sure what the problem is

September 1 at 8:43 AM
Katie
1

This is still an issue!? Damn, I was hoping leaving it for a year and coming back I would be surprised with a fix!

September 1 at 8:45 AM
Aashish
3

I am getting the same error with graph api 8.0

August 31 at 4:53 AM
Eileen